<!--DOCTYPE o tambien denominado "Declaración del tipo de documento" es una instruccion 
que va al inicio del documento y permite al navegador indentificar que tipo
de version de HTML se esta utilizando.-->
<!DOCTYPE html>

<!--Elemento <html> raiz establecido con un idioma especifico (lang="en")-->
<html lang="en">

    <!--La seccion <head> contiene informacion que describe el documento
        de la pagina web por ejemplo, el titulo de la pagina web y meta-etiquetas.-->
    <head>

        <!--<meta> define una serie de metadatos y estandares donde "name" contiene el
        el nombre del metadato y "content" el valor del mismo.-->
        <meta charset="UTF-8">
        <meta name="viewport" content="width=>, initial-scale=1.0">

        <!--La etiqueta <title> contiene el titulo del documento html para 
        ser visualizado en las pestañas.-->
        <title>Documento HTML by Lucas</title>

        <!--Etiqueta <link> permite enlazar archivos por ejemplo, hojas
        de estilo css (con el atributo rel: se define el tipo (estilo) y con 
        href: la ruta de la hoja css-->
        <link rel="stylesheet" href="./CSS/estilo.css">
    
        <!--Etiqueta <script> es utilizado para hacer referencia a un script ejecutable 
        dentro de un documento html. Con el atributo "src" se permite añadir la ruta
        del script-->
        <script src="ruta/javascript.js"></script>

    </head>

    <!--El elemento <body> representa el contenido del documento html (solo
    puede haber uno para todo el documento).-->
    <body>

        <!-- El elemento <section> permite agrupar todos los apartados
        de un contenido. El atributo global "class" es utilizado para acceder
        a elementos especificos de las hojas de estilo CSS (Para diseño) o
        Javascript (Para ejecutar una accion)-->
        <section class="contenedor">


            <!--Etiqueta <div> define una division para agrupar varios 
            elementos (parrafos, listas, etc) por bloques-->
            <div class="item cabecera">

                <!--Las etiquetas <h1> hasta <h6> son utilizadas para
                titulos y subtitulos en los apartados del documento html-->
                <h1>Titulo Nivel h1</h1>
                <h2>Titulo Nivel h2</h2>
                <h3>Titulo Nivel h3</h3>
                <h4>Titulo Nivel h4</h4>
                <h5>Titulo Nivel h5</h5>
                <h6>Titulo Nivel h6</h6>
            
                <!--El elemento <nav> se utiliza para agrupar enlaces a 
                otras paginas o apartados-->
                <nav>

                    <!-- La etiqueta <ul> se utilza para crear listas no 
                    ordenadas-->
                    <ul>

                        <!--El elemento <li> se utiliza para representar
                        un item en una lista ya sea ordenada o no ordenada--> 
                        <li><a href="index.html">Inicio</a> </li>
                        <li><a href="pages/categories.html">Categorias</a></li>
                        <li><a href="pages/services.html">Servicios</a></li>
                        <li><a href="pages/contacts.html">Contactos</a></li>
                        <li><a href="pages/about.html">Quienes Somos</a></li>
                    </ul>
                </nav>

            </div>
        
            <div class="item izquierdo"></div>
    
            <div class="item contenido">

                <!--La etiqueta <img> permite mostrar imagenes en las paginas web,
                el atributo "src" contiene la ruta del archivo de imagen y 
                "alt" contiene texto que se mostrará si el archivo de imagen
                no esta disponible-->
                <img src="/images/images_index_2.png" alt="Imagen 1">
                <img src="/images/images_index_3.jpg" alt="Imagen 2">
                <img src="/images/images_index_4.jpg" alt="Imagen 3">

                <!--La etiqueta <video> permite visualizar archivo de video
                en el documento html, con el atributo "src" se añade la ruta
                del archivo de video-->
                <video src="/video/pelicula.mp4"></video>

                <!--La etiqueta <audio> permite añadir archivos de audio
                en el documento html, con el atributo "src" se añade la ruta
                del archivo de audio-->
                <audio src="/audio/musica.mp3"></audio>
        
                <h3>Caracteristicas</h3>
    
                <!-- El elemento <table> permite añadir un conjunto de
                celdas organizadas en filas y columnas-->
                <table>
                    
                    <!-- <tr> establece una fila-->
                    <tr>
                        
                        <!-- <td> establece el valor que corresponde dentro
                        de una celda-->
                        <td>Caracteristicas</td>
                        <td>Recursos</td>
                        <td>Tiempo estimado</td>
                    </tr>
            
                    <tr>
                        <td>Solicitar envio</td>
                        <td>Modulo de servicios</td>
                        <td>Por confirmar</td>
                    </tr>
        
                    <tr>
                        <td>Registro de Usuarios</td>
                        <td>Validacion de datos</td>
                        <td>Por confirmar</td>
                    </tr>
        
                    <tr>
                        <td>Informacion de Categorias</td>
                        <td>Datos de productos</td>
                        <td>Por confirmar</td>
                    </tr>
        
                    <tr>
                        <td>Factura electronica</td>
                        <td>Algoritmos</td>
                        <td>Por confirmar</td>
                    </tr>
        
                    <tr>
                        <td>Catalogo de Productos</td>
                        <td>Desarrollo de Combo</td>
                        <td>Por confirmar</td>
                    </tr>
    
                </table>
    
            </div>
            
            <div class="item pie">

                <h3>Tipos de usuario</h3>

                <!-- La etiqueta <ol> se utilza para crear
                listas ordenadas-->
                <ol>
                    <li>Clientes</li>
                    <li>Empleados</li>
                    <li>Gerente</li>
                    <li>Propietario</li>
                </ol>
            </div>

            <!-- <p> representa un parrafo de texto-->
            <p>
                Esto es un parrafo
                Esto es un parrafo
                Esto es un parrafo
                Esto es un parrafo
            </p>

            <!-- <br> representa un salto de linea-->
            <br>

            <!-- <a> se utiliza para identificar enlaces junto con el
            atributo "href" que contiene el URL del enlace-->
            <p>Visita <a href="www.google.com.ec"> Google para mas</a></p>
            
            <!-- <form> representa un formulario con un conjunto de 
            controles permitiendo al usuario ingresar datos para
            ser enviados, el atributo "action" contiene el nombre del script,
            "method" define la manera de enviar datos-->
            <form action="ejemplo.php" method="get">

                <!-- <input es un elemento de control que permite el 
                ingreso de informacion, con el atributo "type" se 
                especifica el tipo de informacion que se ingresará,
                "name" es el nombre de la misma-->
                <p>Nombre: <input type="text" name="nombre"></p>
                <p>Año de nacimiento: <input type="number" name="nacimiento"></p>
                <p>Sexo:
                    <!-- <input> de tipo "radio", es utilizado en un grupo el cual
                    mientras tengan el mismo nombre en el atributo "name", 
                    solo se marcara uno a la vez.
                    -->
                  <input type="radio" name="hm" value="h"> Hombre
                  <input type="radio" name="hm" value="m"> Mujer
                </p>
                <!-- <input> de tipo "submit", es utilizado para
                remitir informacion dentro de un grupo y enviarla 
                al servidor.-->
                <input type="submit" value="Enviar">
                <!-- <input> de tipo "reset", es utilizado en un grupo para
                 borrar informacion añadida en un formulario-->
                <input type="reset" value="Borrar">
               
            </form>
            
            <!--Elemento <button>, permite añadir un boton a l documento html
            adjuntando un icono dentro del boton-->
            <button type="button">Presione aqui</button>
            
            <!--Elemento <select>, se utiliza para añadir un menu,
            con la etiqueta <option> se añaden las opciones
            de dicho menu-->
            <select name="menu">
                <option>Uno</option>
                <option>Dos</option>
                <option>Tres</option>
            </select> 

            <!-- <details> permite ocultar o mostrar una parte de la página web-->
            <details>
                <!--El elemento <summary> se incluye dentro del <details> 
                y contiene texto detallando lo que esta oculto en el 
                mismo-->
                <summary>Mostrar Mas</summary>
                <p>Aqui se muestra mas informacion
                    Aqui se muestra mas informacion
                    Aqui se muestra mas informacion
                    Aqui se muestra mas informacion
                </p>
            </details>
        </section>
    </body>
</html>
